<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: FTPCallbacks Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classFTPCallbacks-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FTPCallbacks Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for FTPCallbacks:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classFTPCallbacks.png" usemap="#FTPCallbacks_map" alt=""/>
  <map id="FTPCallbacks_map" name="FTPCallbacks_map">
<area href="classFTPFileCallbacks.html" alt="FTPFileCallbacks" shape="rect" coords="0,56,111,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a310e8643ffeec67b4049423c44ba1b23"><td class="memItemLeft" align="right" valign="top"><a id="a310e8643ffeec67b4049423c44ba1b23"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFTPCallbacks.html#a310e8643ffeec67b4049423c44ba1b23">onStoreStart</a> (std::string fileName)</td></tr>
<tr class="memdesc:a310e8643ffeec67b4049423c44ba1b23"><td class="mdescLeft">&#160;</td><td class="mdescRight">-&mdash; END OF <a class="el" href="classFTPFileCallbacks.html">FTPFileCallbacks</a> <br /></td></tr>
<tr class="separator:a310e8643ffeec67b4049423c44ba1b23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc3bda9259333bc6ea71a53e73450791"><td class="memItemLeft" align="right" valign="top"><a id="abc3bda9259333bc6ea71a53e73450791"></a>
virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><b>onStoreData</b> (uint8_t *data, size_t size)</td></tr>
<tr class="separator:abc3bda9259333bc6ea71a53e73450791"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d31ee9fd893276682ab30de7155ab8d"><td class="memItemLeft" align="right" valign="top"><a id="a9d31ee9fd893276682ab30de7155ab8d"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>onStoreEnd</b> ()</td></tr>
<tr class="separator:a9d31ee9fd893276682ab30de7155ab8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b560c2599742629b91acf6668c4404d"><td class="memItemLeft" align="right" valign="top"><a id="a2b560c2599742629b91acf6668c4404d"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>onRetrieveStart</b> (std::string fileName)</td></tr>
<tr class="separator:a2b560c2599742629b91acf6668c4404d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9d593f76a62f28dd9ce5aede0dc350f"><td class="memItemLeft" align="right" valign="top"><a id="ae9d593f76a62f28dd9ce5aede0dc350f"></a>
virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><b>onRetrieveData</b> (uint8_t *data, size_t size)</td></tr>
<tr class="separator:ae9d593f76a62f28dd9ce5aede0dc350f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22b0e65d56a371302cd54fa19247f2c5"><td class="memItemLeft" align="right" valign="top"><a id="a22b0e65d56a371302cd54fa19247f2c5"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>onRetrieveEnd</b> ()</td></tr>
<tr class="separator:a22b0e65d56a371302cd54fa19247f2c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54c599b7b93a26486c36e6be70980ea3"><td class="memItemLeft" align="right" valign="top"><a id="a54c599b7b93a26486c36e6be70980ea3"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>onDir</b> ()</td></tr>
<tr class="separator:a54c599b7b93a26486c36e6be70980ea3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="FTPServer_8h_source.html">FTPServer.h</a></li>
<li>FTPCallbacks.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
